%define upstream_name    Image-Thumbnail
%define upstream_version 0.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Simple thumbnails with various Perl libraries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD)
BuildRequires: perl(Test::Harness) >= 0.100.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module was created to answer the FAQ, 'How do I simply create a
thumbnail with pearl?' (sic). It allows you to easily make thumbnail
images from files, objects or (in most cases) 'blobs', using either the
ImageMagick, Image::Epeg, Imager or GD libraries.

Thumbnails created can either be saved as image files or accessed as
objects via the object field: see "create".

In the experience of the author, thumbnails are created fastest with
direct use of the Image::Epeg module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.660.0-7pclos2017
- rebuild against updates

